'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

var ReactTextIlluminator = function ReactTextIlluminator(_ref) {
  var textContent = _ref.textContent,
    _ref$highlightTerm = _ref.highlightTerm,
    highlightTerm = _ref$highlightTerm === void 0 ? '' : _ref$highlightTerm,
    _ref$highlightColor = _ref.highlightColor,
    highlightColor = _ref$highlightColor === void 0 ? 'yellow' : _ref$highlightColor;
  var highlight = function highlight(textContent, highlightTerm) {
    var escapeRegExp = function escapeRegExp(string) {
      return string.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
    };
    if (!highlightTerm.trim() || highlightTerm === '') {
      return [React.createElement("span", {
        key: "0"
      }, textContent)];
    }
    var textEscaped = escapeRegExp(highlightTerm);
    var regex = new RegExp("(" + textEscaped + ")", 'gi');
    var splits = textContent.split(regex);
    return splits.map(function (split, index) {
      return regex.test(split.toLowerCase()) ? React.createElement("span", {
        key: index,
        style: {
          backgroundColor: highlightColor
        }
      }, split) : React.createElement("span", {
        key: index
      }, split);
    });
  };
  return React.createElement("p", null, highlight(textContent, highlightTerm));
};

exports.default = ReactTextIlluminator;
//# sourceMappingURL=react-text-illuminator.cjs.development.js.map
